UR-DEFINE-DATASOURCE-SQLITE(1p)

NAME
ur define datasource sqlite - Add a SQLite data source to the current namespace.

VERSION
This document describes ur define datasource sqlite version 0.29.

SYNOPSIS
ur define datasource sqlite [--nosingleton] [--dsid=?] [--server=?] [DSNAME]

  cd Acme

  ur define datasource sqlite --dsname MyDB1
  # writes Acme::DataSource::MyDB1 to work with Acme/DataSource/MyDB1.sqlite3

  ur define datasource sqlite --dsname MyDB2 --server /var/lib/acmeapp/mydb2.sqlite3
  # writes Acme::DataSource::MyDB2 to work with the specified sqlite file

REQUIRED ARGUMENTS

nosingleton  Boolean
    Created data source should not inherit from UR::Singleton (defalt is that it will)

    Default value 'false' (--nonosingleton) if not specified

nonosingleton  Boolean
    Make nosingleton 'false'

OPTIONAL ARGUMENTS

dsid  Text
    The full class name to give this data source.

server  String
    "server" attribute for this data source, such as a database name

DSNAME  Text
    The distinctive part of the class name for this data source. Will be prefixed with the namespace then '::DataSource::'.

DESCRIPTION:
  Add a SQLite data source to the current namespace.